// Copyright 2006 Jrgen Hunold
// Distributed under the Boost Software License, Version 1.0
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

// $Id: user_testcase.cpp 30 2006-03-21 12:21:03Z hunold $

#include <boost/test/unit_test.hpp>

namespace
{
    struct Tests
    {
        void testSuccess();
        void testFailure();
    };

    void
    Tests::testSuccess()
    {
        BOOST_CHECK_MESSAGE(true, "success");
    }

    void
    Tests::testFailure()
    {
        BOOST_CHECK_MESSAGE(false, "failure");
    }
}


/*!
  Hier wird das Framework initialisiert und alle Testcases eingehngt.
*/
boost::unit_test_framework::test_suite*
init_unit_test_suite(int argc, char* argv[])
{
    boost::unit_test_framework::test_suite*
        pTest(BOOST_TEST_SUITE("UserTestCase"));

    boost::shared_ptr<Tests> pInstance(new Tests);
    pTest->add(BOOST_CLASS_TEST_CASE(&Tests::testSuccess, pInstance));
    pTest->add(BOOST_CLASS_TEST_CASE(&Tests::testFailure, pInstance), 1);

    return pTest;
}

